using CairoMakie


let
MT = CairoMakie.Makie.MathTeXEngine
mt_fonts_dir = joinpath(dirname(pathof(MT)), "..", "assets", "fonts", "NewComputerModern")
theme = Theme(
    fonts = ( regular = joinpath(mt_fonts_dir, "NewCM10-Regular.otf"),
              bold = joinpath(mt_fonts_dir, "NewCM10-Bold.otf"),
              bold_italic = joinpath(mt_fonts_dir, "NewCM10-BoldItalic.otf"),
              italic = joinpath(mt_fonts_dir, "NewCM10-Italic.otf")
             ),
    fontsize = 30
)

set_theme!(theme)


x = 0:1:100
y = 1e-5 * randn(length(x))
lines(x, y)

save(joinpath(@__DIR__, "mwe.png"), current_figure())

end
